All Products
Search
Document Center

OpenAPI Explorer:UpdateApiMcpServer

Last Updated:Jun 13, 2026

Modifies an API MCP service.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

Test

RAM authorization

The table below describes the authorization required to call this API. You can define it in a Resource Access Management (RAM) policy. The table's columns are detailed below:

  • Action: The actions can be used in the Action element of RAM permission policy statements to grant permissions to perform the operation.

  • API: The API that you can call to perform the action.

  • Access level: The predefined level of access granted for each API. Valid values: create, list, get, update, and delete.

  • Resource type: The type of the resource that supports authorization to perform the action. It indicates if the action supports resource-level permission. The specified resource must be compatible with the action. Otherwise, the policy will be ineffective.

    • For APIs with resource-level permissions, required resource types are marked with an asterisk (*). Specify the corresponding Alibaba Cloud Resource Name (ARN) in the Resource element of the policy.

    • For APIs without resource-level permissions, it is shown as All Resources. Use an asterisk (*) in the Resource element of the policy.

  • Condition key: The condition keys defined by the service. The key allows for granular control, applying to either actions alone or actions associated with specific resources. In addition to service-specific condition keys, Alibaba Cloud provides a set of common condition keys applicable across all RAM-supported services.

  • Dependent action: The dependent actions required to run the action. To complete the action, the RAM user or the RAM role must have the permissions to perform all dependent actions.

Action

Access level

Resource type

Condition key

Dependent action

openapiexplorer:UpdateApiMcpServer

update

*ApiMcpServer

acs:openapiexplorer::{#accountId}:apimcpserver/{#id}

None None

Request syntax

PATCH /apimcpserver HTTP/1.1

Request parameters

Parameter

Type

Required

Description

Example

clientToken

string

No

Ensures the idempotency of the request. Generate a unique parameter value from your client to ensure that the value is unique across different requests. ClientToken supports only ASCII characters and cannot exceed 64 characters in length. We recommend that you use a UUID. The token expires after 3 days.

123e4567-e89b-12d3-a456-426655440000

id

string

Yes

The ID of the API MCP service.

v6ZZ7ftCzEILW***

body

object

No

The request body.

description

string

No

The description of the API MCP server.

这是一个API MCP服务器。

apis

array<object>

No

The list of APIs to modify.

object

No

The API information.

product

string

No

The product code.

  • Call the GetRequestLog operation to obtain the product code from the response.

  • Find the product code from the URL of the OpenAPI portal. For example, the OpenAPI portal URL for Short Message Service is https://api.alibabacloud.com/product/Dysmsapi. Based on this URL, the product code for Short Message Service is Dysmsapi..

Ecs

apiVersion

string

No

The POP version to which the API exposed to the MCP SERVER belongs.

2014-05-26

selectors

array

No

The list of API name matching rules.

string

No

The API name matching rule.

*Bucket

additionalApiDescriptions

array<object>

No

The list of supplementary API descriptions.

array<object>

No

The supplementary API description.

product

string

No

The product code.

  • Call the GetRequestLog operation to obtain the product code from the response.

  • Find the product code from the URL of the OpenAPI portal. For example, the OpenAPI portal URL for Short Message Service is https://api.alibabacloud.com/product/Dysmsapi. Based on this URL, the product code for Short Message Service is Dysmsapi..

Ecs

apiVersion

string

No

The POP version to which the API exposed to the MCP SERVER belongs.

2014-05-26

apiName

string

No

The API name.

DescribeRegions

apiOverrideJson

string

No

The API metadata in JSON format. Refer to the format at https://api.aliyun.com/meta/v1/products/Ecs/versions/2014-05-26/apis/DescribeInstances/api.json. You can override the summary and parameters fields.

{ "summary": "本接口支持根据不同请求条件查询实例列表,并关联查询实例的详细信息。" }

executeCliCommand

boolean

No

Specifies whether to return the CLI execution command. In this pattern, the API is not actually invoked. Instead, the corresponding CLI command is returned. This is suitable for long-running nodes that require Cloud Assistant CLI to execute.

true

enableOutputSchema

boolean

No

Specifies whether to return the schema of response elements. Returning the response element schema increases the overall size of the API MCP SERVER. Default value: null, which indicates that the response element schema is not returned.

true

toolAlias

string

No

The tool alias. Set this to a custom name, such as list_ecs_regions. The alias can contain letters, digits, hyphens (-), and underscores (_). Aliases must be unique.

list_ecs_regions

constParameters

array<object>

No

The list of constant input parameters. These parameters are not included in the API parameter output during parsing.

object

No

The constant input parameter.

key

string

No

The parameter name. Only first-level parameter names are supported. For ROA-style APIs, you can set parameters such as body.xx. You cannot set values for parameters beyond the top level.

InstanceId

value

any

No

The value of the parameter.

1234

prompts

array<object>

No

The list of prompt configurations.

array<object>

No

The prompt configuration.

name

string

No

The prompt name.

test

description

string

No

The description.

prompt description

content

string

No

The content of the prompt. Variables are specified in the {{xxx}} format, where xxx is a variable that must be defined in the arguments parameter.

prompt正文,{{name}}

arguments

array<object>

No

The list of parameters supported by the prompt.

object

No

The parameter supported by the prompt.

name

string

No

The parameter name.

test

description

string

No

The description of the parameter.

argument description

required

boolean

No

Specifies whether the parameter is required.

true

language

string

No

The documentation language of the API MCP service. You can select Chinese or English API documentation. Different languages may produce different AI response results.

ZH_CN

systemTools

array

No

The list of system tools.

string

No

The system tool name.

FetchRamActionDetails

oauthClientId

string

No

The custom OAuth Client ID used when a custom OAuth configuration is selected.

Only Web/Native applications are supported, and the OAuth scope must include /acs/mcp-server..

403*************370

instructions

string

No

The MCP instructions that guide the large language model on how to use this MCP. The client must support the Instructions field in the MCP standard protocol.

test

enableAssumeRole

boolean

No

Specifies whether to enable multi-account access.

true

assumeRoleName

string

No

The name of the RAM role to assume in the target account when performing cross-account operations with multi-account access enabled.

test

assumeRoleExtraPolicy

string

No

The additional policy for role assumption when multi-account access is enabled. If this policy is specified, the permissions for role assumption are based on this value, overriding the permissions defined in the role itself.

{ "Version": "1", "Statement": [ { "Effect": "Allow", "Action": [ "ecs:Describe*", "vpc:Describe*", "vpc:List*" ], "Resource": "*" } ] }

publicAccess

string

No

Specifies whether to enable public network access.

on

enableCustomVpcWhitelist

boolean

No

Specifies whether to enable a custom VPC whitelist. If not enabled, the account-level configuration is used.

true

terraformTools

array<object>

No

The list of Terraform tools.

object

No

Terraform Tool。

code

string

No

The Terraform tool code. HCL language overview.

variable "name" { default = "terraform-example" } provider "alicloud" { region = "cn-beijing" } resource "alicloud_vpc" "default" { ipv6_isp = "BGP" description = "test" cidr_block = "10.0.0.0/8" vpc_name = var.name enable_ipv6 = true }

name

string

No

The Terraform tool name.

test

description

string

No

The Terraform tool description.

Terraform Tool description

async

boolean

No

Specifies whether to execute asynchronously. When enabled, the system proceeds to the next task immediately after initiating a task, without waiting for each resource operation to complete.

true

destroyPolicy

string

No

The deletion policy. After a task is completed, the system applies the following cleanup policies to temporary resources based on the task execution status.

  • NEVER: Resources are not deleted regardless of whether the task succeeds or fails.

  • ALWAYS: All related resources are destroyed immediately after the task is completed, regardless of whether the task succeeds or fails.

  • ON_FAILURE: Related resources are deleted only when the task fails. If the task succeeds, the resources are retained.

ON_FAILURE

vpcWhitelists

array

No

The VPC whitelist that restricts the source when public network access is disabled. If this parameter is not set or is empty, no source restriction is applied.

string

No

The VPC whitelist entry. The value is the source VPC ID.

vpc-j6cgd2if5lg**0xs6m5se

Response elements

Element

Type

Description

Example

object

The request result.

requestId

string

The request ID.

9BFC4AC1-6BE4-5405-BDEC-CA288D404812

Examples

Success response

JSON format

{
  "requestId": "\t\n9BFC4AC1-6BE4-5405-BDEC-CA288D404812\n"
}

Error codes

HTTP status code

Error code

Error message

Description

400 Missing.Id Id is mandatory for this action.
400 Missing.Apis.PopCode Apis.PopCode is mandatory for this action. The required parameter popCode is missing in the Apis parameter.
400 Missing.Apis.PopVersion Apis.PopVersion is mandatory for this action. Apis.PopVersion is mandatory for this action.
400 InvalidParam.Apis.PopVersion Unsupported product version: %s of product code: %s. Product% s does not support xxx version.
400 InvalidParam.Apis.PopCode Unsupported product code: %s. The specified product name does not exist
400 Missing.Apis.Selectors Apis.Selectors is mandatory for this action. Apis.Selectors is a required parameter
400 InvalidParam.Language Unsupported language: %s. Specify multilingual wu'xi
400 InvalidParam.AdditionalApiDescription.PopVersion Unsupported product version: %s of product code: %s. Product% s does not support version% s.
400 InvalidParam.AdditionalApiDescription.PopCode Unsupported product code: %s. The specified product does not exist
400 InvalidParam.SystemTools System tool %s is not supported.
400 Missing.TerraformTools.Description TerraformTools.Description is mandatory for this action. Missing required parameter TerraformTools.Description
400 Missing.TerraformTools.Code TerraformTools.Code is mandatory for this action. The required parameter TerraformTools.Code is missing.
400 IdempotentParameterMismatch The request uses the same client token as a previous request but with different parameters. Client tokens should not be reused across non-identical requests. Each unique request must have a distinct client token. The request used the same client token as the previous request, but with different parameters. Do not reuse the same token in requests with different parameters. Each request must use a unique token.
400 InvalidParam.TerraformTools.Name TerraformTools.Name: %s must be 3 to 64 characters long and can only contain lowercase letters, numbers, underscores, and hyphens. The Terraform tool name must be 3 to 63 characters in length and can contain only lowercase letters, numbers, underscores, and hyphens.
400 Missing.TerraformTools.Name TerraformTools.Name is mandatory for this action.
400 InvalidParam.TerraformTools.Code The Terraform tool code is not valid: %s. Please check the syntax and try again. The specified TerraformTools.Code parameter is invalid.
400 InvalidParam.ClientToken The specified client token is not valid. The idempotent parameter is incorrect, please check.
400 InvalidParam.AdditionalApiDescription.ToolAlias ToolAlias '%s' is invalid. It must be 1-64 characters, start with a letter, and contain only letters, digits, underscores, and hyphens.
403 OperationNotAllowed.SystemServer System type servers are not allowed to be updated or deleted. System-level services do not allow update or delete operations.
404 NotFound.ApiMcpServer Specified MCP server not found. The MCP service with the specified ID does not exist.
409 Exists.TerraformTools.Name The Terraform tool name already exists. The specified Terraform tool name already exists.
409 Exists.ToolAlias Duplicate tool alias '%s' found. Each tool alias must be unique within an MCP server.
409 Conflict.ToolAlias Tool alias '%s' conflicts with an existing tool name in this MCP server.

See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.